<?php

/**
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('janey_after_content_function')) {

	function janey_after_content_function() {

		if ( janey_get_archive_title() || is_page_template() || is_search() || is_home() ) {

			if ( janey_setting('janey_enable_readmore_button', true) == true ) {

				the_excerpt();

			} else if (janey_setting('janey_enable_readmore_button') == false ) {

				the_content();

			}

		} else {

			the_content();

			if ( is_single() && janey_setting('janey_enable_author_info_box') == true ) : 

				do_action('janey_post_author');

			endif;

			the_tags( '<footer class="line"><span class="entry-info"><strong>Tags:</strong> ', ', ', '</span></footer>' );

			comments_template();

		}

	}

	add_action( 'janey_after_content', 'janey_after_content_function' );

}

?>
